Subject: bug#26302: [website] translations

From: ng0 <[email-masked]>
Date: Sat, 15 Apr 2017 12:26:14 +0000

ng0 transcribed 1.4K bytes:
> ng0 transcribed 0.7K bytes:
> > ng0 transcribed 0.4K bytes:
> > > One thing I like about the template of https://taler.net is the usage of
> > > javascript free translations of text (jinja2 is used), easy to select
> > > and write.
> > > I think translations of web sites are useful, necessary and important.                                                                                                                                                             
> > > We must provide this in the long run on the Guix web site aswell.
> > > 
> > 
> > "Must" sounds very strong, but I think we should do this for the all
> > parts possible of the website, starting with the basic website.
> > 
> > Whoever has an idea how to approach this using Guile should pick this
> > task up.
> > 
> 
> Update on this bug, as I just had some insights in an OStatus Federation
> thread with Rafał Piątkowski.
> 
> We make use of SXML.
> XML has native support for translations, but it's not "user friendly".
> The goal here would be to simply the way translations are done.
> Here is one way how you can achieve native xml translations:
> https://www.xml.com/pub/a/2004/01/07/xmltm.html
> 
> Our newsposts are in Markdown.
> Does Commonmark (what we use as far as I understand Haunt) support
> extensions?
> Otherwise we can write one new "post" per translation and have a
> dialogue / menu to switch the language.
> 
> 
> -- 
> PGP and more: https://people.pragmatique.xyz/ng0/
> 
> 
> 

This
https://stackoverflow.com/questions/22824132/multiple-translations-in-a-single-restructuredtext-file
suggstest that at least with ReStructuredText (and Sphinx) we could
achieve something, so in case Commonmark doesn't work out,
ReStructuredText is an option.

-- 
PGP and more: https://people.pragmatique.xyz/ng0/